## org.opencyc.cycobject
Class CycFort

    java.lang.Object
      |
      +--org.opencyc.cycobject.CycObject
            |
            +--org.opencyc.cycobject.CycFort

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  CycConstant, CycNart

public abstract class CycFort
extends CycObject
implements java.io.Serializable, java.lang.Comparable

This class implements a Cyc Fort (First Order Reified Term).

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `idXMLTag` The name of the XML tag for id objects

Constructor Summary
`CycFort()`

Method Summary
`int` `compareTo(java.lang.Object object)` Compares this object with the specified object for order.
`abstract java.lang.String` `cyclify()` Returns a cyclified string representation of the OpenCyc FORT.
`abstract java.lang.Object` `cycListApiValue()` Returns this object in a form suitable for use as an `CycList` api expression value.
`java.lang.Integer` `getId()` Gets the id.
`abstract java.lang.String` `safeToString()` Returns a string representation without causing additional api calls to determine constant names.
`void` `setId(java.lang.Integer id)` Sets the id.
`abstract java.lang.String` `stringApiValue()` Returns this object in a form suitable for use as an `String` api expression value.
`abstract void` `toXML(XMLWriter xmlWriter, int indent, boolean relative)` Prints the XML representation of the CycFort to an `XMLWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idXMLTag

    public static final java.lang.String idXMLTag

  The name of the XML tag for id objects

Constructor Detail

### CycFort

    public CycFort()

Method Detail

### cyclify

    public abstract java.lang.String cyclify()

  Returns a cyclified string representation of the OpenCyc FORT. Embedded constants are prefixed with ""#$".
  Overrides:
    `cyclify` in class `CycObject`
  Returns:
    a cyclified `String`.

### toXML

    public abstract void toXML(XMLWriter xmlWriter,
                               int indent,
                               boolean relative)
                        throws java.io.IOException

  Prints the XML representation of the CycFort to an `XMLWriter`

### stringApiValue

    public abstract java.lang.String stringApiValue()

  Returns this object in a form suitable for use as an `String` api expression value.
  Returns:
    this object in a form suitable for use as an `String` api expression value

### cycListApiValue

    public abstract java.lang.Object cycListApiValue()

  Returns this object in a form suitable for use as an `CycList` api expression value.
  Returns:
    this object in a form suitable for use as an `CycList` api expression value

### setId

    public void setId(java.lang.Integer id)

  Sets the id.
  Parameters:
    `id` - the id value

### getId

    public java.lang.Integer getId()

  Gets the id.
  Returns:
    the id

### safeToString

    public abstract java.lang.String safeToString()

  Returns a string representation without causing additional api calls to determine constant names.
  Returns:
    a string representation without causing additional api calls to determine constant names

### compareTo

    public int compareTo(java.lang.Object object)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `object` - the reference object with which to compare.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object